######################################################################
# Automatically generated by qmake (2.01a) Sun Apr 29 15:11:24 2007
######################################################################

# configuration
CONFIG		+=	qt thread debug
QT		+=	xml
TEMPLATE	+= 	app

# directory
DESTDIR		=	./bin
OBJECTS_DIR 	= 	./obj



# Path
DEPENDPATH	+= 	. 								\
			Bdd/include 							\
			Bdd/src 							\
			Graphics/include 						\
			Graphics/src 							\
			Parser/include 							\
			Parser/src
INCLUDEPATH 	+= 	.								\
			Bdd/include 							\
			Graphics/include						\
			Parser/include 							\
			../..

# Others information
TARGET 		= 
LIBS		+=
DEFINES         += DBUG_PARSE

# Input
HEADERS 	+= 	Bdd/include/Architecture.h 					\
			Bdd/include/BaseP.h  						\
			Bdd/include/BaseV.h  						\
			Bdd/include/Component.h  					\
			Bdd/include/Coord.h  						\
			Bdd/include/Entity.h  						\
                        Bdd/include/Group.h                                             \
                        Bdd/include/LimitParam.h                                        \
			Bdd/include/ListePorts.h  					\
                        Bdd/include/Param.h                                             \
			Bdd/include/Port.h  						\
			Bdd/include/PortMap.h  						\
			Bdd/include/Signal.h  						\
			Graphics/include/window.h  					\
			Parser/include/parser.h

SOURCES 	+= 	Bdd/src/Architecture_accessors.cpp				\
			Bdd/src/BaseP_accessors.cpp					\
			Bdd/src/Architecture_addComponent.cpp				\
			Bdd/src/Architecture_alloc.cpp					\
			Bdd/src/Architecture_searchComponent.cpp			\
			Bdd/src/Architecture_unalloc.cpp				\
			Bdd/src/BaseP_alloc.cpp						\
			Bdd/src/BaseP_unalloc.cpp					\
			Bdd/src/BaseV_accessors.cpp					\
			Bdd/src/BaseV_addBaseP.cpp					\
			Bdd/src/BaseV_afficheBaseConsole.cpp				\
                        Bdd/src/BaseV_afficheParamConsole.cpp				\
                        Bdd/src/BaseV_afficheLimitParamConsole.cpp			\
                        Bdd/src/BaseV_alloc.cpp						\
			Bdd/src/BaseV_searchComponent.cpp				\
			Bdd/src/BaseV_unalloc.cpp					\
			Bdd/src/Component_accessors.cpp					\
			Bdd/src/Component_addPortMap.cpp				\
			Bdd/src/Component_alloc.cpp					\
			Bdd/src/Component_getPosition.cpp				\
			Bdd/src/Component_unalloc.cpp					\
			Bdd/src/Coord_alloc.cpp						\
			Bdd/src/Coord_unalloc.cpp					\
			Bdd/src/Signal_unalloc.cpp					\
			Bdd/src/ListePorts_getPortSouth.cpp				\
			Bdd/src/Port_accessors.cpp					\
			Bdd/src/Signal_alloc.cpp					\
			Bdd/src/Port_alloc.cpp						\
			Bdd/src/Signal_accessors.cpp					\
			Bdd/src/Coord_accessors.cpp					\
			Bdd/src/Port_unalloc.cpp					\
			Bdd/src/ListePorts_getPortEast.cpp				\
			Bdd/src/BaseV_getSignal.cpp					\
			Bdd/src/PortMap_alloc.cpp					\
			Bdd/src/Entity_alloc.cpp					\
			Bdd/src/PortMap_unalloc.cpp					\
			Bdd/src/ListePorts_alloc.cpp					\
			Bdd/src/PortMap_accessors.cpp					\
			Bdd/src/ListePorts_unalloc.cpp					\
			Bdd/src/ListePorts_countPort.cpp				\
			Bdd/src/ListePorts_getPortWest.cpp				\
			Bdd/src/Entity_unalloc.cpp					\
			Bdd/src/ListePorts_getPortNorth.cpp				\
			Bdd/src/Entity_accessors.cpp					\
			Bdd/src/ListePorts_addPort.cpp					\
			Bdd/src/ListePorts_accessors.cpp				\
			Bdd/src/ListePorts_searchPort.cpp				\
                        Bdd/src/LimitParam_accessors.cpp  \
                        Bdd/src/LimitParam_unalloc.cpp \
                        Bdd/src/LimitParam_alloc.cpp  \
                        Bdd/src/BaseV_searchGroup.cpp \
                        Bdd/src/BaseV_addGroup.cpp   \
                        Bdd/src/BaseV_addLink.cpp   \
                        Bdd/src/BaseV_searchLimitParam.cpp \
                        Bdd/src/BaseV_addLimitParam.cpp  \
                        Bdd/src/BaseV_modify.cpp  \
                        Bdd/src/Group_accessors.cpp \
                        Bdd/src/Group_alloc.cpp\
                        Bdd/src/Group_addParam.cpp \
                        Bdd/src/Group_unalloc.cpp\
                        Bdd/src/Param_accessors.cpp  \
                        Bdd/src/Param_alloc.cpp  \
                        Bdd/src/Param_unalloc.cpp\
                        Parser/src/Parse_createParam.cpp\
			Parser/src/Parse_alloc.cpp					\	
			Parser/src/Parse_save.cpp					\		
                        Parser/src/Parse_closeBaseV.cpp					\
			Parser/src/Parse_accessors.cpp					\
			Parser/src/Parse_parser_pos.cpp					\
			Parser/src/Parse_getBaseV.cpp					\
			Parser/src/Parse_unalloc.cpp					\
			Parser/src/Parse_open_file.cpp					\
                        Parser/src/Parse_open_file_param.cpp                            \
                        Parser/src/Parse_parser_param.cpp                               \
                        Parser/src/Parse_parser_limitparam.cpp                               \
			Graphics/src/Graphics_main.cpp					\
			Graphics/src/Graphics_file_actions.cpp				\
			Graphics/src/Graphics_tools_actions.cpp				\
			Graphics/src/Graphics_about_actions.cpp				\
			Graphics/src/Graphics_main_window.cpp				\
			Graphics/src/Graphics_informations_window.cpp			\
			Graphics/src/Graphics_drawPort.cpp				\
			Graphics/src/Graphics_parameters_window.cpp			\
			Graphics/src/Graphics_setParse.cpp				\
			Graphics/src/Graphics_drawAll.cpp				\
			Graphics/src/Graphics_mouseEvent.cpp	
			
